GithubPluginUpdater

  • Hatte ich eigentlich auch schon ;)
    Mit diesem OpenSSL-Paket kam allerdings nochmal kurz Hoffnung auf.


    Wer es denn unbedingt benötigt, kann ja OpenATV 6.2 nutzen, da wird das nötige OpenSSL wohl auch für ältere Boxen unterstützt.

  • Seit einigen Tagen läuft der GithubPluginUpdater nicht mehr durch, Fehlermeldung ist "unzip: invalid zip magic (...)", siehe Bildschirmphoto,
    Das Problem besteht bei allen unterstützten Plugins.
    Danke für Deine Hilfe!

    Files

    • img_7500.jpg

      (24.32 kB, downloaded 530 times, last: )

    Edited once, last by mby ().

  • Ich glaube, das hängt mit dem wget-Install vom MediaPortal zusammen.
    Seitdem auf der Box das echte wget installiert ist, wird automatisch der wget-Befehl zum Update im GithubPluginUdater verwendet und nicht mehr der bisher genutzte curl-Befehl.


    Aber offensichtlich scheint der im GithubPluginUpdater verwendete wget-Befehl einen Fehler zu haben.
    Das ist nur bisher nicht aufgefallen, da ja immer der curl-Befehl verwendet wurde ;)
    Da wird noch "wget -o ..." verwendet. Richtig muss es aber wohl "wget -O ..." (mit großem O) heißen.


    Teste bitte mal die beiliegende Datei. Da habe ich das angepasst.


    Die Datei einfach auf die Box in folgenden Ordner kopieren:
    /usr/lib/enigma2/python/Plugins/Extensions/GithubPluginUpdater/

  • Danke für die Rückinfo :top:


    Da muss ich mir mal was einfallen lassen, wie ich das am sinnvollsten mit einem Update hinbekomme.


    Das Auto-Self-Update über das Plugin dürfte ja dann auch nicht funktionieren ;)

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Prima; und warum nicht einfach ein neues .DEB bzw. .IPK zum Herunterladen und Selbstinstallieren wieder ins erste Post hängen?

  • Ahh, beim Zwangsupdate ;)


    Ja, im git wollte ich nicht sofort aktualisieren, weil dann alle sofort eine Meldung im Plugin bekommen und dann das Update schief geht, soweit man das wget installiert hat.


    Ich wollte jetzt einfach erstmal eine Weile warten, bis einige hier die Version manuell geupdatet haben ;)

  • Nachdem es bei mir und einigen anderen Usern in letzter Zeit immer wieder Probleme beim Auslesen des Github-Datums der letzten Aktualisierung gab, hier mal meine interne Version 1.5.3 zum Testen.
    Da gib es eine neue Option (API-Abruf) zum zuverlässigen Abfragen des letzten GitHub-Aktualisierungsdatums.


    Die Dateien aus der Zip einfach in den GithubPluginUpdater-Ordner auf die Box kopieren und dann einen GUI-Neustart machen.


    Dann in den Einstellungen die neue Option zur Prüf-Variante und den Prüf-Intervall einstellen.
    Optimal ist die Prüf-Variante "api-Abruf / commits-Liste".
    Da wird der neue zuverlässige API-Abruf verwendet und falls das Limit von 60 Abfragen innerhalb 1 Stunde erreicht wurde, automatisch auf die Prüfung der Commits-Liste als Rückfallebene gewechselt.


    Die neue Option "nur src-Ordner prüfen" zu aktivieren ist auch sinnvoll, da bei einem Update mit dem GithubPluginUpdater auch nur Files aus dem src-Ordner installiert werden. Daher wäre Meldungen zu Updates von Files außerhalb dieses Ordners nur informativ, hätten aber keine Auswirkung auf die genutzten Plugin-Files.


    Änderungen in GithubPluginUpdater 1.5.3 (im Vergleich zu 1.4.1):

    • neue Option für den Prüf-Intervall des AutoUpdateChecks beim Start der Box
      neue Option zum Auswählen der Prüf-Variante (normale Webseite, commits-Liste, api-Abruf)
      Da es immer wieder Probleme mit dem Abruf des github-Datums gibt, habe ich den zuverlässigen api-Abruf integriert.
      Diese Funktion hat aber eine Abrufbeschränkung von 60 Abrufen pro Stunde (bei einer Prüfung werden 5 Abrufe getätigt).
      Sollte das Limit erreicht sein, wird auf die gewählte Alternativ-Variante gewechselt.
    • neue Option, um nur den src-Ordner im github auf Updates zu prüfen (die Option wird bei allen Prüf-Varianten verwendet)
      Dabei werden unrelevante Updates außerhalb des src-Ordners ignoriert, da eh nur der src-Ordner geupdatet wird.
    • warte 5 Sekunden für den Updatecheck nach dem Boxstart, ob die box evtl. in den Idle-Mode geht (z.B. beim Boxstart über das Elektro-Plugin)
    • Skinanpassung (status_txt jetzt 2-zeilig und widget für Datum/Uhrzeit hinzugefügt - Skin-Screen heißt daher jetzt "GithubPluginUpdater_v2")
      somit kann das Plugin erstmal ohne Einschränkungen wegen eines veralteten Skins genutzt werden
    • erweiterte Updateinfo über Zahlentasten (lang) nur noch über github-API-Abruf
    • Prüfung/Anzeige des Abfrage-Limits im Hauptfenster (max. 60 Abfragen pro Stunde für github-API)
  • bei mir kommt die Meldung, dass ein Update verfügbar ist "githubplugin updater 1.6.3"
    Allerdings steht kein Update zur Verfügung?!

    cu ottl05


    dreambox 8000hd, 2 dvb-c Tuner, merlin3
    dreambox 7080hd, 3 dvb-c Tuner, merlin4

  • Im Plugin mal die Info-Taste drücken.
    Falls du bereits die GithubPluginUpdater-Version 1.6.3 installiert hast, dann über das Menü mal ein Zwangsupdate für den GithubPluginUpdater ausführen und danach einen GUI-Neustart machen.

    Gruß
    Sven

    Edited once, last by Sven H ().

  • Hallo Sven H,


    ist das mit dem Datum nur bei mir so?

    IMG_20201107_160205_833.jpg

    Und ein kleiner optischer Fehler in der Fußzeile.

    IMG_20201107_160208_989.jpg


    Warum sind da so viele verschiedene Schriftgrößen?



    Liebe Grüße Ryu

    Dieser Beitrag wurde 3 mal editiert, zum letzten Mal von Ryu's Frau : Heute, 11:25.

    IF YOU LIKE MY WORK, PLEASE BUY ME A CURRYWURST MIT POMMES UND KETCHUP!!

  • Du scheinst einen Skin mit sehr großen Default-Schriften zu verwenden, weshalb es nicht gerade schön aussieht ;)

    Bei mir sieht das besser aus ;)


    Stell mal im Setup die Prüf-Variante von "normale Website" auf "api-Abruf / normale Website" um, ob sich dann das Problem mit dem Datum löst.

  • Danke, ich habe es geändert.

    Das ändert erstmal nichts am Datum.


    Beim ersten Update, scheint das Datum so zu bleiben.

    Erst nachdem ich das Updateintervall auf immer beim Neustart eingestellt habe und einen Neustart gemacht habe, hat sich das Datum aktualisiert.


    Im Zombi FHD Shadow ist das Plugin wohl nicht geskint, was auch nicht so schlimm ist. Dann muss man damit leben :), oder Zombi macht da noch was :saint:

    Dieser Beitrag wurde 3 mal editiert, zum letzten Mal von Ryu's Frau : Heute, 11:25.

    IF YOU LIKE MY WORK, PLEASE BUY ME A CURRYWURST MIT POMMES UND KETCHUP!!